PWCK(8)

NOM
pwck - Vérifier l'intégrité des fichiers de mots de passe

SYNOPSIS

pwck [-q] [-s] [passwd [ shadow ]]

pwck [-q] [-r] [passwd shadow]

DESCRIPTION

The pwck command verifies the integrity of the system authentication information. All entries in the /etc/passwd and /etc/shadow are checked to see that the entry has the proper format and valid data in each field. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Voici les vérifications effectuées :

    • nombre correct de champs

    • unicité des noms d'utilisateur

    • validité des identifiants d'utilisateur et de groupe

    • validité du groupe primaire

    • validité du répertoire personnel

    • validité de l'interpréteur de commandes initial (« login shell »)

Une erreur dans le nombre de champs ou la non unicité d'un nom d'utilisateur sera fatale. Si le nombre de champs n'est pas correct, il sera demandé à l'utilisateur de supprimer la ligne. Si l'utilisateur ne répond pas par l'affirmative, les vérifications suivantes ne seront pas effectuées. Il sera également demandé de supprimer les entrées correspondant aux noms d'utilisateur redondants, mais dans ce cas, les autres vérifications seront effectuées. Toutes les autres erreurs ne sont que des avertissements et l'utilisateur est encouragé à utiliser usermod pour les corriger.

Les commandes qui opèrent sur le fichier /etc/passwd ne peuvent pas modifier les entrées corrompues ou redondantes. Pwck doit être utilisé dans ce cas pour retirer ces entrées.

OPTIONS

Les options disponibles pour la commande pwck sont :

-q
    Ne signaler que les erreurs. Les avertissements qui ne nécessite pas une action de la part de l'utilisateur ne seront pas affichés.

-r
    Permet d'exécuter pwck dans le mode lecture seule.

-s
    Trie les entrées de /etc/passwd et /etc/shadow par UID.

Par défaut, pwck opère sur les fichiers /etc/passwd et /etc/shadow. L'utilisateur peut spécifier d'autres fichiers avec les paramètres fichier_passwd et fichier_shadow.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

PASS_MAX_DAYS (number)
    Nombre maximum de jours de validité d'un mot de passe. Après cette durée, une modification du mot de passe est obligatoire. S'il n'est pas précisé, la valeur de -1 est utilisée (ce qui enlève toute restriction).

PASS_MIN_DAYS (number)
    Nombre minimum de jours autorisé avant la modification d'un mot de passe. Toute tentative de modification du mot de passe avant cette durée est rejetée. S'il n'est pas précisé, la valeur de -1 est utilisée (ce qui enlève toute restriction).

PASS_WARN_AGE (number)
    Nombre de jours durant lesquels l'utilisateur recevra un avertissement avant que son mot de passe n'arrive en fin de validité. Une valeur négative signifie qu'aucun avertissement n'est donné. S'il n'est pas précisé, aucun avertissement n'est donné.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VOIR AUSSI

group(5), passwd(5), shadow(5), usermod(8).

VALEURS DE RETOUR

La commande pwck retourne les valeurs suivantes en quittant :

0
    succès

1
    erreur de syntaxe

2
    une entrée de mot de passe ou plus est incorrecte

3
    impossible d'ouvrir les fichiers de mots de passe

4
    impossible de verrouiller les fichiers de mots de passe

5
    impossible de mettre à jour les fichiers des mots de passe